#pragma once
#include <map>
struct Fish_NormalOutFishActivityCFGData
{
	//key
	int mID;
	//活动ID
	int mActivityId;
	//哪些房间需要在活期间刷增加的鱼
	std::vector<int> mRoomList;
	//刷鱼ID, 与Fish_NormalOutFishCFG的ID列不能相同
	int mRefreshId;
	//名字
	std::string mName;
	//类型
	int mType;
	//参数
	int mParamID;
	//出鱼权值
	int mOutWeight;
	//最大数量
	int mOutMaxCount;
	//出鱼时间（s）
	std::vector<int> mFishTime;
	//玩法鱼通知
	int mFishNotice;
	//路径分组
	int mRouteGroup;
	//分组
	int mGroupID;
	//分组最大鱼数
	int mGroupMaxFish;
};

class Fish_NormalOutFishActivityCFG
{
public:
private:
	static std::auto_ptr<Fish_NormalOutFishActivityCFG> msSingleton;
public:
	int GetCount();
	const Fish_NormalOutFishActivityCFGData* GetData(int ID);
	const std::map<int, Fish_NormalOutFishActivityCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_NormalOutFishActivityCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_NormalOutFishActivityCFGData> mMapData;
};
